Create Service Request: RealPage Partner Exchange
https://api.propexo.com/v1/service-requests/realpage_rpx/| Method | Interface |
|---|---|
| AddServiceRequest | Facilities |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
The Propexo unique identifier for the service request priority
Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry
Show 3 enum values
ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRYThe due date associated with the service request
Show 2 variants
Notes regarding access to the unit associated with the service request
The date the service request was created
Show 2 variants
Details about the service request
DEPRECATED: Use access_is_authorized_value instead. Whether or not the tenant has granted permission to enter the unit associated with the service request
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
The Propexo unique identifier for the service request priority
Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry
Show 3 enum values
ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRYShow 2 variants
Notes regarding access to the unit associated with the service request
The date the service request was created
Show 2 variants
Details about the service request
DEPRECATED: Use access_is_authorized_value instead. Whether or not the tenant has granted permission to enter the unit associated with the service request
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"date_due": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_request_priority_id": "string",
"access_is_authorized_value": "ENTER_AT_ANY_TIME",
"date_due": "2024-07-29T15:51:28.071Z",
"access_notes": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_details": "string"
}
}